Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8046 - tftp server refuses connections under high loads
Summary: tftp server refuses connections under high loads
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tftp
Version: 6.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-29 14:37 UTC by Joseph W. Breu
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 14:31:14 UTC


Attachments (Terms of Use)

Description Joseph W. Breu 1999-12-29 14:37:59 UTC
Under high TFTP loads (approx 5-10 requests per second), the TFTP server
starts to deny requests.

/var/log/messages
-----------------
Dec 29 05:51:31 breu tftpd[2168]: tftpd: trying to get file:
zenith-clone-generic-1.cfg
Dec 29 05:51:31 breu tftpd[2168]: tftpd: serving file from /tftpboot
Dec 29 05:51:33 breu tftpd[2170]: tftpd: trying to get file:
zenith-clone-generic-1.cfg
Dec 29 05:51:33 breu tftpd[2170]: tftpd: serving file from /tftpboot
Dec 29 05:51:33 breu tftpd[2170]: tftpd: read: Connection refused


/etc/inetd.conf
---------------
tftp	dgram	udp	wait.40000	root	/usr/sbin/in.tftpd	in.tftpd

Comment 1 Jeff Johnson 2000-01-04 14:31:59 UTC
What tftp version ("rpm -q tftp")?

If tftp-0.16, there is an attempt within the tftpd daemon to prevent DOS
attacks by delaying 0.1 secs between attempts to service a request. This
can be disabled if you desire in the source and recompiling. I'm hard pressed
to imagine a circumstance in which >10 tftp requests/second is generally
useful (read: I don't think that this should be disabled in the distributed
tftp package.)


Note You need to log in before you can comment on or make changes to this bug.